// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S011_Parts.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S011_Parts extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int inListParte = 4;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2, 2
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\1\6\4\0\1\7\2\0"+
    "\1\10\12\11\1\12\1\13\5\0\1\14\1\15\1\16"+
    "\1\17\1\20\1\21\1\22\1\23\1\24\1\21\1\25"+
    "\1\26\1\27\1\30\1\31\1\32\1\33\1\34\1\35"+
    "\1\36\1\37\1\40\3\21\1\41\1\42\1\0\1\43"+
    "\1\0\1\44\1\6\1\45\1\46\1\47\1\50\1\51"+
    "\1\52\1\53\1\54\1\55\1\52\1\56\1\57\1\60"+
    "\1\61\1\62\1\63\1\64\1\65\1\66\1\67\1\70"+
    "\1\71\3\52\1\72\71\0\1\6\13\0\6\52\1\0"+
    "\1\52\2\73\6\52\1\0\6\52\2\0\4\52\3\0"+
    "\6\52\1\0\1\52\2\73\6\52\1\0\6\52\2\0"+
    "\4\52\53\0\2\52\6\0\2\74\66\0\2\52\4\0"+
    "\2\52\17\0\1\75\u0188\0\2\52\216\0\2\52\42\0"+
    "\2\52\104\0\1\1\26\0\1\6\u0110\0\1\76\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\3\0\4\1\2\2\12\3\102\0\1\4\17\0\1\5"+
    "\201\0\1\4\15\0\1\6\3\0\1\7\45\0\2\10"+
    "\14\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[301];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\77\0\176\0\275\0\374\0\u013b\0\u017a\0\u013b"+
    "\0\u01b9\0\u013b\0\u01f8\0\u0237\0\u0276\0\u02b5\0\u02f4\0\u0333"+
    "\0\u0372\0\u03b1\0\u03f0\0\u042f\0\u046e\0\u04ad\0\u04ec\0\u052b"+
    "\0\u056a\0\u05a9\0\u05e8\0\u0627\0\275\0\u0666\0\u06a5\0\u06e4"+
    "\0\u0723\0\u0762\0\u07a1\0\u07e0\0\u081f\0\u085e\0\u089d\0\u08dc"+
    "\0\u091b\0\u095a\0\u0999\0\u09d8\0\u0a17\0\u0a56\0\u0a95\0\u0ad4"+
    "\0\u0b13\0\u0b52\0\u0b91\0\u0bd0\0\u0c0f\0\u0c4e\0\u0c8d\0\u0ccc"+
    "\0\u0d0b\0\u0d4a\0\u0d89\0\u0dc8\0\u0e07\0\u0e46\0\u0e85\0\u0ec4"+
    "\0\u0f03\0\u0f42\0\u0f81\0\u0fc0\0\u0fff\0\u103e\0\u107d\0\u10bc"+
    "\0\u10fb\0\u113a\0\u1179\0\u11b8\0\u11f7\0\u1236\0\u1275\0\u12b4"+
    "\0\u12f3\0\u1332\0\u1371\0\u13b0\0\u13ef\0\u142e\0\u146d\0\u14ac"+
    "\0\u14eb\0\u152a\0\u1569\0\u15a8\0\u15e7\0\u1626\0\u1665\0\u16a4"+
    "\0\u16e3\0\u1722\0\u1761\0\u17a0\0\u17df\0\u013b\0\u181e\0\u185d"+
    "\0\u189c\0\u142e\0\u18db\0\u191a\0\u1959\0\u1998\0\u19d7\0\u1a16"+
    "\0\u1a55\0\u1a94\0\u1ad3\0\u1b12\0\u1b51\0\u1b90\0\u1bcf\0\u1c0e"+
    "\0\u1c4d\0\u1c8c\0\u1ccb\0\u1d0a\0\u1d49\0\u1d88\0\u1dc7\0\u1e06"+
    "\0\u1e45\0\u1e84\0\u1ec3\0\u1f02\0\u1f41\0\u1f80\0\u1fbf\0\u1ffe"+
    "\0\u203d\0\u207c\0\u20bb\0\u20fa\0\u2139\0\u2178\0\u21b7\0\u21f6"+
    "\0\u2235\0\u2274\0\u22b3\0\u22f2\0\u2331\0\u2370\0\u23af\0\u23ee"+
    "\0\u242d\0\u246c\0\u24ab\0\u24ea\0\u2529\0\u2568\0\u25a7\0\u25e6"+
    "\0\u2625\0\u2664\0\u26a3\0\u26e2\0\u2721\0\u2760\0\u279f\0\u27de"+
    "\0\u281d\0\u285c\0\u289b\0\u28da\0\u2919\0\u2958\0\u2997\0\u29d6"+
    "\0\u2a15\0\u2a54\0\u2a93\0\u2ad2\0\u2b11\0\u2b50\0\u2b8f\0\u2bce"+
    "\0\u2c0d\0\u2c4c\0\u2c8b\0\u2cca\0\u2d09\0\u2d48\0\u2d87\0\u2dc6"+
    "\0\u2e05\0\u2e44\0\u2e83\0\u2ec2\0\u2f01\0\u2f40\0\u2f7f\0\u2fbe"+
    "\0\u2ffd\0\u303c\0\u307b\0\u30ba\0\u30f9\0\u3138\0\u3177\0\u31b6"+
    "\0\u31f5\0\u3234\0\u3273\0\u32b2\0\u32f1\0\u3330\0\u336f\0\u33ae"+
    "\0\u33ed\0\u342c\0\u346b\0\u34aa\0\u34e9\0\u3528\0\u3567\0\u35a6"+
    "\0\u35e5\0\u3624\0\u3663\0\u36a2\0\u36e1\0\u3720\0\u375f\0\u013b"+
    "\0\u379e\0\u37dd\0\u381c\0\u385b\0\u389a\0\u38d9\0\u3918\0\u3957"+
    "\0\u3996\0\u39d5\0\u3a14\0\u3a53\0\u3a92\0\u013b\0\u3ad1\0\u3b10"+
    "\0\u3b4f\0\u013b\0\u3b8e\0\u3bcd\0\u3c0c\0\u3c4b\0\u3c8a\0\u3cc9"+
    "\0\u3d08\0\u3d47\0\u3d86\0\u3dc5\0\u3e04\0\u3e43\0\u3e82\0\u3ec1"+
    "\0\u3f00\0\u3f3f\0\u3f7e\0\u3fbd\0\u3ffc\0\u403b\0\u407a\0\u40b9"+
    "\0\u40f8\0\u4137\0\u4176\0\u41b5\0\u41f4\0\u4233\0\u4272\0\u42b1"+
    "\0\u42f0\0\u432f\0\u436e\0\u43ad\0\u43ec\0\u442b\0\u446a\0\u013b"+
    "\0\u44a9\0\u44e8\0\u4527\0\u4566\0\u45a5\0\u45e4\0\u4623\0\u4662"+
    "\0\u46a1\0\u46e0\0\u471f\0\u475e\0\u479d";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[301];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\4\1\5\5\4\1\6\2\4\26\6\1\7\2\4"+
    "\27\6\3\4\42\10\1\11\34\10\17\12\1\13\10\12"+
    "\1\14\1\15\1\16\1\17\1\12\1\20\1\21\1\22"+
    "\1\23\7\12\1\13\10\12\1\14\1\15\1\16\1\17"+
    "\1\12\1\20\1\21\1\22\1\23\3\12\1\20\1\12"+
    "\17\0\1\24\10\0\1\25\1\26\1\27\1\30\1\0"+
    "\1\31\1\32\1\33\1\34\7\0\1\24\10\0\1\25"+
    "\1\26\1\27\1\30\1\0\1\31\1\32\1\33\1\34"+
    "\3\0\1\31\3\0\1\35\14\0\1\24\10\0\1\25"+
    "\1\26\1\27\1\30\1\0\1\31\1\32\1\33\1\34"+
    "\7\0\1\24\10\0\1\25\1\26\1\27\1\30\1\0"+
    "\1\31\1\32\1\33\1\34\3\0\1\31\117\0\1\24"+
    "\6\0\1\36\1\0\1\25\1\26\1\27\1\30\1\0"+
    "\1\31\1\32\1\33\1\34\7\0\1\24\6\0\1\36"+
    "\1\0\1\25\1\26\1\27\1\30\1\0\1\31\1\32"+
    "\1\33\1\34\3\0\1\31\11\0\1\37\106\0\1\40"+
    "\3\0\1\41\4\0\1\42\17\0\1\40\3\0\1\41"+
    "\4\0\1\42\11\0\1\41\33\0\1\43\30\0\1\43"+
    "\52\0\1\44\30\0\1\44\43\0\1\45\30\0\1\45"+
    "\50\0\1\46\30\0\1\46\26\0\1\47\30\0\1\47"+
    "\45\0\1\50\13\0\1\51\14\0\1\50\13\0\1\51"+
    "\41\0\1\42\30\0\1\42\35\0\1\52\30\0\1\52"+
    "\45\0\1\53\3\0\1\54\4\0\1\55\17\0\1\53"+
    "\3\0\1\54\4\0\1\55\11\0\1\54\33\0\1\56"+
    "\30\0\1\56\52\0\1\57\30\0\1\57\43\0\1\60"+
    "\30\0\1\60\50\0\1\61\30\0\1\61\26\0\1\62"+
    "\30\0\1\62\45\0\1\63\13\0\1\64\14\0\1\63"+
    "\13\0\1\64\37\0\1\65\1\0\1\55\26\0\1\65"+
    "\1\0\1\55\35\0\1\66\30\0\1\66\52\0\1\67"+
    "\30\0\1\67\17\0\1\67\26\0\1\70\30\0\1\70"+
    "\35\0\1\45\30\0\1\45\45\0\1\71\30\0\1\71"+
    "\46\0\1\72\30\0\1\72\56\0\1\73\30\0\1\73"+
    "\53\0\1\74\30\0\1\74\33\0\1\75\30\0\1\75"+
    "\16\0\1\75\16\0\1\76\7\0\1\77\20\0\1\76"+
    "\7\0\1\77\16\0\1\77\20\0\1\100\1\72\15\0"+
    "\1\101\1\102\10\0\1\100\1\72\15\0\1\101\1\102"+
    "\5\0\1\101\35\0\1\103\30\0\1\103\31\0\1\42"+
    "\30\0\1\42\55\0\1\104\30\0\1\104\33\0\1\60"+
    "\30\0\1\60\45\0\1\105\30\0\1\105\46\0\1\106"+
    "\30\0\1\106\56\0\1\107\30\0\1\107\53\0\1\110"+
    "\30\0\1\110\33\0\1\111\30\0\1\111\16\0\1\111"+
    "\16\0\1\112\7\0\1\113\20\0\1\112\7\0\1\113"+
    "\16\0\1\113\20\0\1\114\1\106\15\0\1\115\1\116"+
    "\10\0\1\114\1\106\15\0\1\115\1\116\5\0\1\115"+
    "\35\0\1\117\30\0\1\117\31\0\1\55\30\0\1\55"+
    "\63\0\1\120\30\0\1\120\37\0\1\121\30\0\1\121"+
    "\45\0\1\122\30\0\1\122\42\0\1\123\30\0\1\123"+
    "\17\0\1\123\24\0\1\124\30\0\1\124\16\0\1\124"+
    "\26\0\1\125\30\0\1\125\16\0\1\125\16\0\1\126"+
    "\30\0\1\126\45\0\1\127\30\0\1\127\60\0\1\73"+
    "\30\0\1\73\52\0\1\101\1\0\1\130\26\0\1\101"+
    "\1\0\1\130\37\0\1\131\30\0\1\131\46\0\1\132"+
    "\30\0\1\132\52\0\1\73\30\0\1\73\45\0\1\45"+
    "\30\0\1\45\50\0\1\73\30\0\1\73\42\0\1\133"+
    "\30\0\1\133\33\0\1\134\30\0\1\134\16\0\1\134"+
    "\26\0\1\135\30\0\1\135\16\0\1\135\16\0\1\136"+
    "\30\0\1\136\45\0\1\137\30\0\1\137\60\0\1\107"+
    "\30\0\1\107\52\0\1\115\1\0\1\140\26\0\1\115"+
    "\1\0\1\140\37\0\1\141\30\0\1\141\46\0\1\142"+
    "\30\0\1\142\52\0\1\107\30\0\1\107\45\0\1\60"+
    "\30\0\1\60\50\0\1\107\30\0\1\107\30\0\1\143"+
    "\30\0\1\143\16\0\1\143\40\0\1\144\30\0\1\144"+
    "\21\0\1\145\114\0\1\146\30\0\1\146\31\0\1\147"+
    "\14\0\1\150\13\0\1\147\14\0\1\150\32\0\1\151"+
    "\30\0\1\151\30\0\3\152\1\0\1\153\24\0\1\154"+
    "\30\0\1\154\53\0\1\73\30\0\1\73\43\0\1\155"+
    "\30\0\1\155\26\0\1\72\16\0\1\73\11\0\1\72"+
    "\16\0\1\73\37\0\1\156\30\0\1\156\35\0\1\157"+
    "\3\0\1\160\12\0\1\161\11\0\1\157\3\0\1\160"+
    "\12\0\1\161\3\0\1\160\16\0\1\162\14\0\1\163"+
    "\13\0\1\162\14\0\1\163\32\0\1\164\30\0\1\164"+
    "\30\0\3\165\1\0\1\166\1\0\1\167\10\0\1\170"+
    "\7\0\1\171\1\0\1\172\16\0\1\170\7\0\1\171"+
    "\1\0\1\172\53\0\1\107\30\0\1\107\43\0\1\173"+
    "\30\0\1\173\26\0\1\106\16\0\1\107\11\0\1\106"+
    "\16\0\1\107\37\0\1\174\30\0\1\174\44\0\1\175"+
    "\30\0\1\175\36\0\1\176\3\0\1\177\12\0\1\200"+
    "\11\0\1\176\3\0\1\177\12\0\1\200\3\0\1\177"+
    "\16\0\26\201\2\0\1\201\62\0\1\202\4\0\1\203"+
    "\23\0\1\202\4\0\1\203\6\0\1\203\37\0\1\204"+
    "\30\0\1\204\27\0\1\157\30\0\1\157\55\0\1\205"+
    "\30\0\1\205\31\0\1\206\30\0\1\206\62\0\1\207"+
    "\30\0\1\207\33\0\1\73\30\0\1\73\63\0\1\45"+
    "\30\0\1\45\6\0\1\45\17\0\1\210\1\211\13\0"+
    "\1\212\2\0\1\213\10\0\1\210\1\211\13\0\1\212"+
    "\2\0\1\213\37\0\1\151\30\0\1\151\45\0\1\214"+
    "\4\0\1\215\23\0\1\214\4\0\1\215\6\0\1\215"+
    "\37\0\1\216\30\0\1\216\27\0\1\176\30\0\1\176"+
    "\26\0\3\165\1\0\1\166\1\0\1\167\7\0\1\24"+
    "\1\170\7\0\1\217\1\26\1\220\1\30\1\0\1\31"+
    "\1\32\1\221\1\34\7\0\1\24\1\170\7\0\1\217"+
    "\1\26\1\220\1\30\1\0\1\31\1\32\1\221\1\34"+
    "\3\0\1\31\31\0\1\222\30\0\1\222\16\0\3\167"+
    "\1\0\1\223\1\0\1\167\7\0\1\24\10\0\1\25"+
    "\1\26\1\27\1\30\1\0\1\31\1\32\1\221\1\34"+
    "\7\0\1\24\10\0\1\25\1\26\1\27\1\30\1\0"+
    "\1\31\1\32\1\221\1\34\3\0\1\31\2\0\3\224"+
    "\1\0\1\225\11\0\1\226\10\0\1\227\1\230\1\231"+
    "\1\232\1\0\1\233\1\234\1\235\1\236\7\0\1\226"+
    "\10\0\1\227\1\230\1\231\1\232\1\0\1\233\1\234"+
    "\1\235\1\236\3\0\1\233\32\0\1\237\30\0\1\237"+
    "\30\0\1\240\30\0\1\240\62\0\1\241\30\0\1\241"+
    "\33\0\1\107\30\0\1\107\42\0\1\242\30\0\1\242"+
    "\66\0\1\60\30\0\1\60\6\0\1\60\17\0\1\243"+
    "\1\244\13\0\1\245\2\0\1\246\10\0\1\243\1\244"+
    "\13\0\1\245\2\0\1\246\37\0\1\164\30\0\1\164"+
    "\27\0\1\247\1\0\26\201\2\0\1\201\62\0\1\250"+
    "\30\0\1\250\52\0\1\251\30\0\1\251\6\0\1\251"+
    "\37\0\1\151\30\0\1\151\24\0\1\252\30\0\1\252"+
    "\64\0\1\253\30\0\1\253\45\0\1\42\30\0\1\42"+
    "\35\0\1\254\30\0\1\254\16\0\1\254\41\0\1\151"+
    "\30\0\1\151\45\0\1\255\30\0\1\255\42\0\1\256"+
    "\30\0\1\256\41\0\1\257\30\0\1\257\52\0\1\260"+
    "\30\0\1\260\6\0\1\260\37\0\1\164\30\0\1\164"+
    "\40\0\1\261\30\0\1\261\30\0\1\240\17\0\1\60"+
    "\10\0\1\240\17\0\1\60\41\0\1\55\30\0\1\55"+
    "\32\0\1\262\30\0\1\262\60\0\1\263\30\0\1\263"+
    "\16\0\3\224\1\0\1\225\11\0\1\264\10\0\1\227"+
    "\1\230\1\231\1\232\1\0\1\233\1\234\1\235\1\236"+
    "\7\0\1\264\10\0\1\227\1\230\1\231\1\232\1\0"+
    "\1\233\1\234\1\235\1\236\3\0\1\233\31\0\1\265"+
    "\30\0\1\265\16\0\3\224\1\0\1\225\11\0\1\264"+
    "\1\266\3\0\1\267\3\0\1\227\1\270\1\231\1\232"+
    "\1\0\1\233\1\234\1\235\1\236\7\0\1\264\1\266"+
    "\3\0\1\267\3\0\1\227\1\270\1\231\1\232\1\0"+
    "\1\233\1\234\1\235\1\236\2\0\1\267\1\233\32\0"+
    "\1\271\30\0\1\271\52\0\1\272\30\0\1\272\43\0"+
    "\1\273\30\0\1\273\50\0\1\274\30\0\1\274\26\0"+
    "\1\275\30\0\1\275\45\0\1\276\13\0\1\277\14\0"+
    "\1\276\13\0\1\277\41\0\1\300\30\0\1\300\35\0"+
    "\1\301\30\0\1\301\55\0\1\302\30\0\1\302\51\0"+
    "\1\303\30\0\1\303\45\0\1\55\30\0\1\55\12\0"+
    "\3\242\1\0\1\304\24\0\1\305\30\0\1\305\37\0"+
    "\1\306\30\0\1\306\16\0\1\306\41\0\1\164\30\0"+
    "\1\164\45\0\1\307\30\0\1\307\42\0\1\310\30\0"+
    "\1\310\11\0\2\247\3\0\5\247\1\311\27\247\2\0"+
    "\33\247\31\0\1\312\30\0\1\312\34\0\1\150\30\0"+
    "\1\150\62\0\1\313\30\0\1\313\6\0\1\313\37\0"+
    "\1\314\30\0\1\314\37\0\1\315\30\0\1\315\31\0"+
    "\1\316\30\0\1\316\51\0\1\151\30\0\1\151\56\0"+
    "\1\317\30\0\1\317\34\0\1\163\30\0\1\163\55\0"+
    "\1\320\30\0\1\320\52\0\1\321\30\0\1\321\6\0"+
    "\1\321\16\0\1\322\30\0\1\322\50\0\1\266\3\0"+
    "\1\267\4\0\1\300\17\0\1\266\3\0\1\267\4\0"+
    "\1\300\11\0\1\267\17\0\1\323\30\0\1\323\46\0"+
    "\1\273\30\0\1\273\45\0\1\324\30\0\1\324\46\0"+
    "\1\325\16\0\1\272\11\0\1\325\16\0\1\272\37\0"+
    "\1\326\30\0\1\326\53\0\1\327\30\0\1\327\33\0"+
    "\1\330\30\0\1\330\16\0\1\330\16\0\1\331\7\0"+
    "\1\332\20\0\1\331\7\0\1\332\16\0\1\332\20\0"+
    "\1\333\1\325\15\0\1\334\1\335\10\0\1\333\1\325"+
    "\15\0\1\334\1\335\5\0\1\334\35\0\1\336\30\0"+
    "\1\336\31\0\1\300\30\0\1\300\44\0\1\325\30\0"+
    "\1\325\56\0\1\337\30\0\1\337\33\0\1\340\30\0"+
    "\1\340\65\0\1\341\30\0\1\341\37\0\1\342\30\0"+
    "\1\342\31\0\1\343\30\0\1\343\61\0\1\344\30\0"+
    "\1\344\31\0\1\345\30\0\1\345\51\0\1\164\30\0"+
    "\1\164\36\0\1\346\125\0\1\151\30\0\1\151\37\0"+
    "\1\347\30\0\1\347\33\0\1\350\30\0\1\350\60\0"+
    "\1\211\30\0\1\211\50\0\1\351\30\0\1\351\47\0"+
    "\1\164\30\0\1\164\21\0\1\136\1\0\1\340\26\0"+
    "\1\136\1\0\1\340\61\0\1\352\30\0\1\352\50\0"+
    "\1\353\30\0\1\353\6\0\1\353\36\0\1\354\30\0"+
    "\1\354\6\0\1\354\25\0\1\355\30\0\1\355\16\0"+
    "\1\355\26\0\1\356\30\0\1\356\16\0\1\356\16\0"+
    "\1\357\30\0\1\357\45\0\1\360\30\0\1\360\60\0"+
    "\1\326\30\0\1\326\52\0\1\334\1\0\1\361\26\0"+
    "\1\334\1\0\1\361\37\0\1\362\30\0\1\362\46\0"+
    "\1\363\30\0\1\363\52\0\1\326\30\0\1\326\45\0"+
    "\1\273\30\0\1\273\50\0\1\326\30\0\1\326\42\0"+
    "\1\364\30\0\1\364\32\0\1\365\30\0\1\365\42\0"+
    "\1\366\30\0\1\366\42\0\1\367\30\0\1\367\64\0"+
    "\1\370\30\0\1\370\44\0\1\244\30\0\1\244\50\0"+
    "\1\371\30\0\1\371\20\0\1\346\31\0\1\372\46\0"+
    "\1\152\121\0\1\373\30\0\1\373\22\0\1\165\115\0"+
    "\1\374\30\0\1\374\45\0\1\375\30\0\1\375\27\0"+
    "\1\376\14\0\1\377\13\0\1\376\14\0\1\377\32\0"+
    "\1\u0100\30\0\1\u0100\30\0\3\357\1\0\1\u0101\24\0"+
    "\1\172\30\0\1\172\53\0\1\326\30\0\1\326\43\0"+
    "\1\u0102\30\0\1\u0102\26\0\1\325\16\0\1\326\11\0"+
    "\1\325\16\0\1\326\37\0\1\u0103\30\0\1\u0103\35\0"+
    "\1\u0104\3\0\1\u0105\12\0\1\u0106\11\0\1\u0104\3\0"+
    "\1\u0105\12\0\1\u0106\3\0\1\u0105\7\0\1\u0107\12\0"+
    "\1\u0108\30\0\1\u0108\21\0\1\224\40\0\1\u0109\30\0"+
    "\1\u0109\6\0\1\u0109\37\0\1\u010a\30\0\1\u010a\45\0"+
    "\1\u010b\30\0\1\u010b\43\0\1\151\30\0\1\151\24\0"+
    "\1\167\76\0\1\224\113\0\1\u010c\4\0\1\u010d\23\0"+
    "\1\u010c\4\0\1\u010d\6\0\1\u010d\37\0\1\u010e\30\0"+
    "\1\u010e\27\0\1\u0104\30\0\1\u0104\55\0\1\u010f\30\0"+
    "\1\u010f\46\0\1\u0110\30\0\1\u0110\33\0\1\326\30\0"+
    "\1\326\63\0\1\273\30\0\1\273\6\0\1\273\17\0"+
    "\1\u0111\1\u0112\13\0\1\u0113\2\0\1\u0114\10\0\1\u0111"+
    "\1\u0112\13\0\1\u0113\2\0\1\u0114\37\0\1\u0100\30\0"+
    "\1\u0100\35\0\1\u0115\30\0\1\u0115\26\0\3\224\1\0"+
    "\1\225\1\224\10\0\1\264\10\0\1\227\1\230\1\231"+
    "\1\232\1\0\1\233\1\234\1\235\1\236\7\0\1\264"+
    "\10\0\1\227\1\230\1\231\1\232\1\0\1\233\1\234"+
    "\1\235\1\236\3\0\1\233\33\0\1\u0116\30\0\1\u0116"+
    "\33\0\1\u0117\30\0\1\u0117\61\0\1\164\30\0\1\164"+
    "\41\0\1\u0118\30\0\1\u0118\52\0\1\u0119\30\0\1\u0119"+
    "\6\0\1\u0119\37\0\1\u0100\30\0\1\u0100\24\0\1\u011a"+
    "\30\0\1\u011a\64\0\1\300\30\0\1\300\35\0\1\u011b"+
    "\30\0\1\u011b\16\0\1\u011b\41\0\1\u0100\30\0\1\u0100"+
    "\45\0\1\u011c\30\0\1\u011c\42\0\1\u011d\30\0\1\u011d"+
    "\25\0\1\u011e\5\0\1\u011f\22\0\1\u011e\5\0\1\u011f"+
    "\36\0\1\242\63\0\3\u0120\1\u0121\5\u0120\1\0\2\u0120"+
    "\26\0\3\u0120\27\0\3\u0120\31\0\1\u0122\30\0\1\u0122"+
    "\34\0\1\377\30\0\1\377\62\0\1\u0123\30\0\1\u0123"+
    "\6\0\1\u0123\31\0\1\u0124\30\0\1\u0124\31\0\1\u0125"+
    "\30\0\1\u0125\51\0\1\u0100\30\0\1\u0100\43\0\1\u0126"+
    "\30\0\1\u0126\63\0\1\u0127\30\0\1\u0127\13\0\1\u0120"+
    "\134\0\1\u0100\30\0\1\u0100\37\0\1\u0128\30\0\1\u0128"+
    "\46\0\1\u0112\30\0\1\u0112\50\0\1\u0129\30\0\1\u0129"+
    "\46\0\1\u012a\30\0\1\u012a\22\0\1\u012b\30\0\1\u012b"+
    "\44\0\1\357\121\0\1\u012c\30\0\1\u012c\45\0\1\u012d"+
    "\30\0\1\u012d\47\0\1\u012d\30\0\1\u012d\41\0\1\u0100"+
    "\30\0\1\u0100\31\0\1\375\30\0\1\375\25\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[18396];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\3\0\2\1\1\11\1\1\1\11\1\1\1\11\11\1"+
    "\102\0\1\1\17\0\1\11\201\0\1\11\15\0\1\11"+
    "\3\0\1\11\45\0\1\11\1\1\14\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[301];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S011_Parts() { }



  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S011_Parts(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 9: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 10: break;
          case 3:
            { checkEnd();
            }
          // fall through
          case 11: break;
          case 4:
            { if( !checkEdge()) {
		
			save(new PartitionElement(Entity.PARTE), Util.getValueReader(yytext()).getNumber());
		}
            }
          // fall through
          case 12: break;
          case 5:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 13: break;
          case 6:
            { start(null, inListParte, true, false);
            }
          // fall through
          case 14: break;
          case 7:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 15: break;
          case 8:
            { annotate(new PartitionElement(Entity.PARTE), "U", true, true);
            }
          // fall through
          case 16: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S011_Parts [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S011_Parts scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S011_Parts(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
